
from odoo.addons.saas_worker.util import version_gte

if version_gte("saas~17.2"):
    from odoo.tools import is_odoo_module, ODOO_MODULE_RE
    from odoo.addons.base.models import assetsbundle

    def _is_odoo_module(url, content):
        addon = url.split('/')[1]
        if addon.startswith('saas_'):
            # for saas_* module as we need to support multiple version we should
            # NOT consider a JS file as to be transpiled based on its location
            # (introduced by odoo/odoo@5f2c50583), but only if it has been
            # explicitly tagged as `@odoo-module`
            result = ODOO_MODULE_RE.match(content)
            if result and result['ignore']:
                return False
            return bool(result)
        else:
            return is_odoo_module(url, content)
    assetsbundle.is_odoo_module = _is_odoo_module
